Bug 247956 - databases/pgbouncer: fix usage SO_REUSEPORT_LB
Summary: databases/pgbouncer: fix usage SO_REUSEPORT_LB
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://github.com/pgbouncer/pgbounce...
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-07-14 00:15 UTC by Dmitry Wagin
Modified: 2020-08-02 23:47 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (m.tsatsenko)


Attachments
pgbouncer.diff (1.96 KB, patch)
2020-07-14 00:15 UTC, Dmitry Wagin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2020-07-14 00:15:57 UTC
Created attachment 216424 [details]
pgbouncer.diff

fix usage SO_REUSEPORT_LB
Comment 1 m.tsatsenko 2020-07-16 20:19:16 UTC
Hello,
Thanks for the patch.
Any additional information would be much appreciated. Starting with why this is an issue and why it needs to be fixed. Until then it is negative.
Comment 2 Dmitry Wagin 2020-07-16 20:22:50 UTC
(In reply to m.tsatsenko from comment #1)

FreeBSD have both

> SO_REUSEPORT enables duplicate address and port bindings
> SO_REUSEPORT_LB enables duplicate address and port bindings with load balancing

and original code in this situation was compiled with wrong option
Comment 3 Automation User 2020-07-31 00:08:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/172759899
Comment 4 Steve Wills freebsd_committer 2020-08-02 14:17:13 UTC
Taking, pending maintainer feedback. Would be good to send this change upstream if you haven't already.
Comment 5 Dmitry Wagin 2020-08-02 19:30:13 UTC
(In reply to Steve Wills from comment #4)
Already :)

https://github.com/pgbouncer/pgbouncer/pull/504
Comment 6 m.tsatsenko 2020-08-02 23:47:08 UTC
I did some digging.
The change seems legit. So as long as it passes QA I am fine with it